commit 8427c3dcfb3316bbae35128fa07b51c2b4ac7153
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Aug 31 00:16:55 2020 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index cf802bc822d..3db40e0a817 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200830
+20200831
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 0aed3450b28..2db30274776 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,40 @@
+2020-08-30  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-26  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96157
+	* d-codegen.cc (d_build_call): Handle TREE_ADDRESSABLE static arrays.
+	* types.cc (make_array_type): Propagate TREE_ADDRESSABLE from base
+	type to static array.
+
+2020-08-30  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-26  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* dmd/globals.h (Global): Add recursionLimit.
+	* dmd/dmacro.c (Macro::expand): Limit recursive expansion to
+	global.recursionLimit.
+	* dmd/dtemplate.c (deduceType): Likewise.
+	(TemplateInstance::tryExpandMembers): Likewise.
+	(TemplateInstance::trySemantic3): Likewise.
+	(TemplateMixin::semantic): Likewise.
+	* dmd/expressionsem.c (ExpressionSemanticVisitor::visit): Likewise.
+	* dmd/mtype.c (Type::noMember): Likewise.
+	(TypeFunction::semantic): Likewise.
+	* dmd/optimize.c (Expression_optimize): Likewise.
+
+2020-08-30  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-26  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* d-lang.cc (d_parse_file): Use read() to load contents from stdin,
+	allow the front-end to free the memory after parsing.
+	* dmd/func.c (FuncDeclaration::semantic): Use module filename if
+	searchPath returns NULL.
+
 2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	PR d/96250
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 2dbfd8e76cc..463c0a742a4 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,19 @@
+2020-08-30  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-26  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96157
+	* gdc.dg/pr96157a.d: New test.
+	* gdc.dg/pr96157b.d: New test.
+
+2020-08-30  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-26  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* gdc.test/compilable/ice20092.d: New test.
+
 2020-08-28  Uros Bizjak    <ubizjak@gmail.com>
 
 	* gcc.target/i386/double_mask_reg-1.c: New test.

